#
#libwb - A library for low and medium level control of a WifiBot.
#
# Copyright (C) 2006-2007 Nicolas Beaufort, Alain Dutech
#			Maia Team, LORIA.
#
# Original authors: Nicolas Beaufort
#
# Mail: Alain.Dutech@loria.fr
# Web: http://maia.loria.fr
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  

# should point to the local cross-compiler
CC = gcc
WBCC = powerpc-linux-g++
CFLAGS=-g -Wall -W
WBCFLAGS = -mpowerpc -g -Wall -W
#CFLAGS=-mpowerpc

#LIBDIR=../lib
LIBDIR=
#INCLUDEDIR=../include
SDLINCLUDE= `sdl-config --cflags`
INCLUDEDIR= -I../include
FLAGS=-fPIC $(INCLUDEDIR)
WBLIBS=-L../../lib -lwb -ljpeg
SDLLIBS= `sdl-config --libs` -lSDL_image -lSDL_gfx
LEARNLIBS=-L../lib -lsvd -lm
LIBS= -lpthread

MODULES = \
	kdtree \
	learn

WBMODULES = \

all: station onboard

station: $(MODULES)

onboard: $(WBMODULES)


kdtree: kdtree.o kdtree.c kdtree.h
	gcc -shared -Wl,-soname,libkdtree.so.1 -o libkdtree.so.1 kdtree.o -lm
	cp -f libkdtree.so.1 ../lib

learn: calcul.o learn.o kdtree.h kdtree.o
#	$(CC) $(FLAGS) $(CFLAGS) $(SDLINCLUDE) -o $@ $< $(SDLLIBS)
	gcc -shared -Wl,-soname,liblearn.so.1 -o liblearn.so.1 calcul.o learn.o kdtree.o $(LEARNLIBS) $(LIBS)
	cp -f liblearn.so.1 ../lib

simu: simu.c calcul.o kdtree.o learn.o LibRemote.o traitement_image.o
	$(CC) $(FLAGS) $(CFLAGS) $(SDLINCLUDE) traitement_image.o LibRemote.o learn.o kdtree.o calcul.o -o $@ $< $(SDLLIBS) $(LEARNLIBS) $(LIBS) -lm -ljpeg

%.o:%.c
	$(CC) $(FLAGS) -c $< $(CFLAGS)

etags: clean
	rm -f TAGS
	etags *.[ch]* *.py ../include/*.[ch]*

clean:
	rm -f *.o *~ *.*~

distclean: clean
	rm -f $(MODULES) lib*

srcclean: distclean
	rm -f $(WBMODULES)


